import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';

import ReactDOM from 'react-dom';
import {
  csv,
  arc,
  pie,
  scaleBand,
  scaleLinear,
  max,
} from 'd3';

const width = 950;
const height = 480;
const margin = {
  top: 20,
  right: 80,
  left: 180,
  bottom: 50,
};

// Loading Data from CSV
const csvUrl =
  'https://gist.githubusercontent.com/tharun112/388b75ef74eed538bc13368cb08281ff/raw/da23159bd15d8f981139f7a7cc8bb3711633564b/GDP.csv';


// Parsing CSV data
const App = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    // useEffect stops it looping every time the data is loaded because that will change the state.
    const row = (d) => {
      d.stateGDP = +d['stateGDP'];
      return d;
    };
    csv(csvUrl, row).then((data) => {
      setData(data.slice(0, 10));
    });
  }, []);

  if (!data) {
    return <pre>Loading ... </pre>;
  }
// Margin value
  console.log(data[0]);
  const innerHeight = height - margin.top - margin.bottom;
  const innerWidth = width - margin.left - margin.right;
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);